﻿using System;
using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace Post7763
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Map1_Loaded(object sender, RoutedEventArgs e)
        {
            WmsRasterLayer wmsImageLayer = new WmsRasterLayer(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));
            wmsImageLayer.UpperThreshold = double.MaxValue;
            wmsImageLayer.LowerThreshold = 0;

            LayerOverlay staticOverlay = new LayerOverlay();
            staticOverlay.Layers.Add("WmsLayer", wmsImageLayer);
            Map1.Overlays.Add("WmsOverlay", staticOverlay);
            wmsImageLayer.Close();

            Map1.Refresh();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            WmsRasterLayer wmsImageLayer = (WmsRasterLayer)Map1.FindRasterLayer("WmsLayer");
            wmsImageLayer.Open();
            foreach (string layerName in wmsImageLayer.GetServerLayerNames())
            {
                wmsImageLayer.ActiveLayerNames.Add(layerName);
            }

            // When you update to the version later than 4.0.62 
            // You can use, but I still recommend using overlay.refresh.
            // Map1.Refresh();
            Map1.Overlays["WmsOverlay"].Refresh();
        }
    }
}
